List a customer's agreed rates
GET
/customers/{customerId}/prices
const url = 'https://example.com/customers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/prices';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/customers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/prices \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Every product, with the rate agreed for this customer and the list price beside it. agreed says whether the customer has an explicit rate; when false, unitPrice is the consumer list price for display only.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”customerId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”Prices
Media typeapplication/json
object
items
required
Array<object>
object
productId
required
UUID v7
string format: uuid
productName
required
string
agreed
required
boolean
unitPrice
required
integer
priceIncludesVat
required
boolean
listPrice
required
integer
listPriceIncludesVat
required
boolean
vatRate
required
integer
updatedAt
required
string format: date-time
Example
{ "items": [ { "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}